package org.vrablik.test.infinispan.cluster.hotrod;

import java.io.Serializable;
import java.sql.Timestamp;

public class Car implements Serializable {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;
    private Timestamp date;
    private String owner;
    private String carId;
    private int[] carData;
    
    
    
    public Car(Timestamp date, String owner, String carId) {
        super();
        this.date = date;
        this.owner = owner;
        this.carId = carId;
    }
    
    public Timestamp getDate() {
        return date;
    }
    public void setDate(Timestamp date) {
        this.date = date;
    }
    public String getOwner() {
        return owner;
    }
    public void setOwner(String owner) {
        this.owner = owner;
    }
    public String getCarId() {
        return carId;
    }
    public void setCarId(String carId) {
        this.carId = carId;
    }
    
    public int[] getCarData(){
       return this.carData; 
    }
    
    public void setCarData(int[] cd){
        this.carData = cd;
    }
    
    public int getCarDataLength(){
        if ( this.carData == null){
            return 0;
        }
        return this.carData.length;
    }

    @Override
    public String toString() {
        return "Car [date=" + date + ", owner=" + owner + ", carId=" + carId
                + "]" + "car data size: " + this.carData.length;
    }
    
    
}
