package org.vrablik.test;

import org.infinispan.Cache;
import org.infinispan.config.Configuration;
import org.infinispan.config.GlobalConfiguration;
import org.infinispan.manager.DefaultCacheManager;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

/**
 * Unit test for simple App.
 */
public class AppTest 
    extends TestCase
{
    /**
     * Create the test case
     *
     * @param testName name of the test case
     */
    public AppTest( String testName )
    {
        super( testName );
    }

    /**
     * @return the suite of tests being tested
     */
    public static Test suite()
    {
        return new TestSuite( AppTest.class );
    }

    /**
     * Rigourous Test :-)
     */
    public void testApp()
    {
      DefaultCacheManager m = new DefaultCacheManager();
      Cache<String, String> c = m.getCache();
      c.put("hello", "world");
      
      assertTrue( c.containsKey("hello"));
      assertFalse( c.containsKey("hello2"));
    }
    
//    public void testApp2(){
////      GlobalConfiguration globalConf = GlobalConfiguration.getClusteredDefault();
////      Configuration cfg = new Configuration();
////      Cfg.setCacheMode(Configuration.CacheMode.DIST_SYNC);
////      DefaultCacheManager m = new DefaultCacheManager(globalConf, cfg);
////      Cache<String, String> c = m.getCache();
////      c.put("hello", "world");
////      c.containsKey("hello"); // returns true
////      c.get("hello"); // returns “world”
////      c.remove("hello"); // returns “world”
//    }
}
